﻿input[type="text"] {
    width: 94%;
    max-width: 450px; /* 限制最大寬度 */
    height: 35px;
    padding: 5px 10px;
    font-size: 16px;
    border: 1px solid gray;
    border-radius: 5px;
    background-color: #f9f9f9;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease; /* 平滑過渡效果 */
    margin: 3px 3px;
}

    input[type="text"]:focus {
        border-color: #007bff;
        background-color: #fff;
        box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
        outline: none;
    }

input[type="submit"], input[type="button"] {
    height: 36px;
    margin: 3px 3px;
}

select {
    height: 35px;
    padding: 5px 10px;
    font-size: 16px;
    border: 1px solid gray;
    border-radius: 5px;
    background-color: #f9f9f9;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease; /* 平滑過渡效果 */
    margin: 3px 3px;
}

    select:focus {
        border-color: #007bff;
        background-color: #fff;
        box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
        outline: none;
    }
